Gtk2::Adjustment(3p)

NAME
Gtk2::Adjustment

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Adjustment

METHODS

  object = Gtk2::Adjustment->new ($value, $lower, $upper, $step_increment, $page_increment, $page_size)

    •   $value (double)

    •   $lower (double)

    •   $upper (double)

    •   $step_increment (double)

    •   $page_increment (double)

    •   $page_size (double)

  $adjustment->changed

  $adjustment->clamp_page ($lower, $upper)

    •   $lower (double)

    •   $upper (double)

  double = $adjustment->lower ($newval)

    •   $newval (double)

  double = $adjustment->page_increment ($newval)

    •   $newval (double)

  double = $adjustment->page_size ($newval)

    •   $newval (double)

  double = $adjustment->step_increment ($newval)

    •   $newval (double)

  double = $adjustment->upper ($newval)

    •   $newval (double)

  double = $adjustment->value ($newval=0)

    •   $newval (double)

  $adjustment->value_changed

  double = $adjustment->get_value

  $adjustment->set_value ($value)

    •   $value (double)

PROPERTIES

'lower' (double : readable / writable / private)
    The minimum value of the adjustment

'page-increment' (double : readable / writable / private)
    The page increment of the adjustment

'page-size' (double : readable / writable / private)
    The page size of the adjustment

'step-increment' (double : readable / writable / private)
    The step increment of the adjustment

'upper' (double : readable / writable / private)
    The maximum value of the adjustment

'value' (double : readable / writable / private)
    The value of the adjustment

SIGNALS

changed (Gtk2::Adjustment)
value-changed (Gtk2::Adjustment)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.